Bug 1292115 - [abrt] kde-connect: QAbstractSocket::writeData(): kdeconnectd killed by SIGSEGV
[abrt] kde-connect: QAbstractSocket::writeData(): kdeconnectd killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-connect (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:865210a2a21524c53e0d684ff83...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 09:08 EST by Han Han
Modified: 2016-12-20 12:05 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:05:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.95 KB, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: core_backtrace (8.15 KB, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: dso_list (16.22 KB, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: environ (2.12 KB, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: maps (70.84 KB, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: mountinfo (3.51 KB, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: open_fds (1.25 KB, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details
File: var_log_messages (319 bytes, text/plain)
2015-12-16 09:08 EST, Han Han
no flags Details

  None (edit)
Description Han Han 2015-12-16 09:08:18 EST
Description of problem:
When I copy wordks for many times, kdeconnect crashed.
Maybe it is something  about the clipboard sharing.

Version-Release number of selected component:
kde-connect-0.9-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/kdeconnectd
crash_function: QAbstractSocket::writeData
executable:     /usr/libexec/kdeconnectd
global_pid:     10246
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QAbstractSocket::writeData at socket/qabstractsocket.cpp:2515
 #1 QIODevice::write at io/qiodevice.cpp:1347
 #3 SocketLineReader::write at ../../core/backends/lan/socketlinereader.h:43
 #4 LanDeviceLink::sendPackageEncrypted at ../../core/backends/lan/landevicelink.cpp:62
 #5 Device::sendPackage at ../../core/device.cpp:322
 #6 KdeConnectPlugin::sendPackage at ../../core/kdeconnectplugin.cpp:76
 #7 ClipboardPlugin::clipboardChanged at ../../../plugins/clipboard/clipboardplugin.cpp:55
 #8 QMetaObject::activate at kernel/qobject.cpp:3713
 #10 QClipboard::changed at .moc/moc_qclipboard.cpp:158
 #11 QPlatformClipboard::emitChanged at kernel/qplatformclipboard.cpp:119
Comment 1 Han Han 2015-12-16 09:08:26 EST
Created attachment 1106422 [details]
File: backtrace
Comment 2 Han Han 2015-12-16 09:08:28 EST
Created attachment 1106423 [details]
File: cgroup
Comment 3 Han Han 2015-12-16 09:08:30 EST
Created attachment 1106424 [details]
File: core_backtrace
Comment 4 Han Han 2015-12-16 09:08:33 EST
Created attachment 1106425 [details]
File: dso_list
Comment 5 Han Han 2015-12-16 09:08:35 EST
Created attachment 1106426 [details]
File: environ
Comment 6 Han Han 2015-12-16 09:08:37 EST
Created attachment 1106427 [details]
File: exploitable
Comment 7 Han Han 2015-12-16 09:08:39 EST
Created attachment 1106428 [details]
File: limits
Comment 8 Han Han 2015-12-16 09:08:46 EST
Created attachment 1106429 [details]
File: maps
Comment 9 Han Han 2015-12-16 09:08:49 EST
Created attachment 1106430 [details]
File: mountinfo
Comment 10 Han Han 2015-12-16 09:08:50 EST
Created attachment 1106431 [details]
File: namespaces
Comment 11 Han Han 2015-12-16 09:08:52 EST
Created attachment 1106432 [details]
File: open_fds
Comment 12 Han Han 2015-12-16 09:08:54 EST
Created attachment 1106433 [details]
File: proc_pid_status
Comment 13 Han Han 2015-12-16 09:08:58 EST
Created attachment 1106434 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:16:37 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:05:14 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.